Bug 147921 - add reload command to rc script of audio/icecast2
Summary: add reload command to rc script of audio/icecast2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Olli Hauer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-16 21:00 UTC by gebhart
Modified: 2010-08-16 16:31 UTC (History)
0 users

See Also:


Attachments
file.diff (253 bytes, patch)
2010-06-16 21:00 UTC, gebhart
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description gebhart 2010-06-16 21:00:13 UTC
audio/icecast2 offers a config reload by sending it a SIGHUP like most daemons do.
However the rc script doesn't have the reload command.

Fix: If I understand the rcng stuff right, it should be enough to just
add the extra command reload, everything else is covered by defaults.

This simple patch should do the job:
How-To-Repeat: Install port audio/icecast2 and run the rc script:

/usr/local/etc/rc.d/icecast2
Usage: /usr/local/etc/rc.d/icecast2 [fast|force|one](start|stop|restart|rcvar|status|poll)

No reload there.
Comment 1 Edwin Groothuis freebsd_committer 2010-06-16 21:02:50 UTC
Maintainer of audio/icecast2,

Please note that PR ports/147921 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/147921

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-06-16 21:02:52 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Sunpoet Po-Chuan Hsieh 2010-07-03 07:13:15 UTC
This patch is okay.
By the way, I would like to add a blank line before "extra_commands".
Thanks.

Sunpoet
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2010-07-03 12:14:49 UTC
State Changed
From-To: feedback->open

Maintainer approved but suggested one cosmetic change.
Comment 5 Olli Hauer freebsd_committer 2010-08-16 00:17:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ohauer

I take it
Comment 6 dfilter service freebsd_committer 2010-08-16 16:24:06 UTC
ohauer      2010-08-16 15:23:57 UTC

  FreeBSD ports repository

  Modified files:
    audio/icecast2       Makefile 
    audio/icecast2/files icecast2.sh.in 
  Log:
   - add reload command to rc script
   - connect to license framework
  
  PR:             147921
  Submitted by:   Ralf Gebhart <gebhart _at_ secnetix.de>
  Reviewed by:    maintainer, glarkin (mentor)
  
  Revision  Changes    Path
  1.67      +3 -1      ports/audio/icecast2/Makefile
  1.8       +2 -1      ports/audio/icecast2/files/icecast2.sh.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Olli Hauer freebsd_committer 2010-08-16 16:30:28 UTC
State Changed
From-To: open->closed

Committed, thank you!  

Approved by: glarkin (mentor)